Bug 1444996 - [NoMethodError]: undefined method `merge!' for nil:NilClass encountered for OpenShift full refresh
Summary: [NoMethodError]: undefined method `merge!' for nil:NilClass encountered for O...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: GA
: 5.8.0
Assignee: Ari Zellner
QA Contact: Einat Pacifici
URL:
Whiteboard: container:ems_refresh
Depends On: 1441709
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-24 17:21 UTC by Satoe Imaishi
Modified: 2020-06-11 13:41 UTC (History)
14 users (show)

Fixed In Version: 5.8.0.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1441709
Environment:
Last Closed: 2017-05-31 14:59:01 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-24 17:26:09 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/fd062fdb7bd92b286d890606c64b08735b5dce6e

commit fd062fdb7bd92b286d890606c64b08735b5dce6e
Author:     Federico Simoncelli <federico.simoncelli@gmail.com>
AuthorDate: Mon Apr 24 17:33:30 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Apr 24 13:23:30 2017 -0400

    Merge pull request #4 from zeari/fix_nil_project
    
    ignore projects without an underlying kubernetes namespace
    (cherry picked from commit 1a25fff41f36ca9b435fa170a970e6852602cc2f)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1444996

 .../providers/openshift/container_manager/refresh_parser.rb |  1 +
 .../openshift/container_manager/refresh_parser_spec.rb      | 13 +++++++++++++
 2 files changed, 14 insertions(+)

Comment 3 Mooli Tayer 2017-04-25 08:24:16 UTC
POST?

Comment 4 Mooli Tayer 2017-04-26 13:29:30 UTC
Satoe can you please move this one to ON_QA. 
I can see this one in the log for 5.8.0.12

http://file.cloudforms.lab.eng.rdu2.redhat.com/builds/cfme/5.8/stable/git_commit.log (fd062fd)

Comment 5 Einat Pacifici 2017-04-27 12:01:19 UTC
Ari, 
Can you please provide details how to check/reproduce this? 
Thanks!

Comment 6 Ari Zellner 2017-04-30 10:38:25 UTC
Im really not sure how you can try to reproduce this. We believe we saw this at a customers env since they had such a large inventory that there was a large time gap between getting namespaces and getting projects.

Comment 7 Einat Pacifici 2017-05-15 07:35:18 UTC
Closed. Can't reproduce.

Comment 9 Einat Pacifici 2017-05-15 09:22:44 UTC
Verified. Didn't see error, no clear reproducer. If encountered in the future, will re-open.

Comment 11 errata-xmlrpc 2017-05-31 14:59:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.